Runtime

## org.eclipse.gmf.runtime.common.ui.services.statusline
Class StatusLineService

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service
              org.eclipse.gmf.runtime.common.ui.services.statusline.StatusLineService

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener, IStatusLineContributionItemProvider

    public class StatusLineService

extends Service
implements IStatusLineContributionItemProvider

Service which handles status line contributions.

Since:
  1.2

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`Service.ProviderDescriptor`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`INVALID_ELEMENT_MESSAGE_PATTERN`

Constructor Summary
`StatusLineService()`

Method Summary
`static StatusLineService` `getInstance()` Retrieves the singleton instance of the status line service.
`java.util.List<IContributionItem>` `getStatusLineContributionItems(IWorkbenchPage workbenchPage)` Gets a list of contribution items for the status line.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`addProvider, clearCache, configureProviders, configureProviders, createPriorityCache, execute, executeUnique, getAllProviders, getCachingKey, getPriority, getProviders, isOptimistic, isOptimized, newProviderDescriptor, providerChanged, provides, provides, removeProvider`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Constructor Detail

### StatusLineService

    public StatusLineService()

Method Detail

### getInstance

    public static StatusLineService getInstance()

  Retrieves the singleton instance of the status line service.

  Returns:
    The StatusLineService singleton.

### getStatusLineContributionItems

    public java.util.List<IContributionItem> getStatusLineContributionItems(IWorkbenchPage workbenchPage)

  Description copied from interface: `IStatusLineContributionItemProvider`
  Gets a list of contribution items for the status line.

  Specified by:
    `getStatusLineContributionItems` in interface `IStatusLineContributionItemProvider`
  Parameters:
    `workbenchPage` - the workbench page.
  Returns:
    a list of contribution items for the status line .

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.